- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists TransactionPolicy resources in an instance, including disabled policies.
Returns NOT_FOUND if the parent instance does not exist.
HTTP request
GET https://mpc.googleapis.com/v1beta/{parent=projects/*/locations/*/instances/*}/transactionPolicies
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent instance. Format: projects/{project}/locations/{location}/instances/{instance} It takes the form |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of policies to return. The service may return fewer. If unspecified, at most 50 are returned. Values above 1000 are coerced to 1000. |
pageToken |
Optional. A page token from a previous transactionPolicies.list call. When paginating, all other parameters must match the call that returned the token. |
Request body
The request body must be empty.
Response body
Response message for TransactionPolicyService.ListTransactionPolicies.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"transactionPolicies": [
{
object ( |
| Fields | |
|---|---|
transactionPolicies[] |
The TransactionPolicy resources in the instance. |
nextPageToken |
A token to retrieve the next page. Empty if there are no more pages. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.